View Issue Details

IDProjectCategoryView StatusLast Update
0023375mantisbtmentionspublic2018-04-09 15:14
ReporteromoghrabiAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.12.0Fixed in Version2.12.0 
Summary0023375: It is hard to @ mention users when show realnames is enabled
Description

Currently the configuration setting allows the user either to set the realname to be ON or OFF. Having a real name shown in the assignee list is really helpful to avoid wrong assignment but the username is also helpful for mentioning the project involved in and contributors.

If we add a way to show them both "REAL NAME (username)" on configuration so we can configure either realname, username or both. Showing both will be something same as they shown on the list of project's assignment page will be so much helpful.

Because my team really rely on mentioning and without the list of the username it is hard for them to know the username and also having the assignee list as username causing much confusion

Steps To Reproduce

Open a ticket as click on the assignee list:

IF $g_show_realname = OFF;

Username only shows (helpful for mention to know the username)

IF $g_show_realname = ON;

Full name will be shown and this is helpful on assigning the ticket to the right person

Additional Information

Maybe adding new setting that will work override this setting to show both would be awesome

for example

$g_show_realname_and_username= ON; // Will always show both

$g_show_realname_and_username= OFF; // Will have no effect and $g_show_realname will control either username or realname is showing.

TagsNo tags attached.

Relationships

related to 0024167 closedatrol History entries display realname instead of username 
related to 0024239 resolvedatrol Inconsistent realname display 

Activities

Issue History

Date Modified Username Field Change
2017-09-19 05:39 omoghrabi New Issue
2018-02-02 18:11 vboctor Assigned To => vboctor
2018-02-02 18:11 vboctor Status new => assigned
2018-02-02 18:11 vboctor Category bugtracker => mentions
2018-02-02 18:11 vboctor Summary Cannot configure both username and realname => It is hard to @ mention users when show realnames is enabled
2018-02-02 18:11 vboctor Note Added: 0058724
2018-02-02 18:11 vboctor Target Version => 2.11.0
2018-02-06 21:22 vboctor Target Version 2.11.0 => 2.12.0
2018-02-07 02:50 vboctor Status assigned => resolved
2018-02-07 02:50 vboctor Resolution open => fixed
2018-02-07 02:50 vboctor Fixed in Version => 2.12.0
2018-03-04 00:36 vboctor Status resolved => closed
2018-03-26 07:18 dregad Relationship added related to 0024167
2018-04-09 15:14 atrol Relationship added related to 0024239